# Module `expcore.gui.elem-button`

Gui class defines for elem buttons [[

## Functions

ElemButton.new_elem_button ([name]) | Creates a new elem button element define
ElemButton._prototype:set_type (type) | Sets the type of the elem button, the type is required so this must be called at least once
ElemButton._prototype:set_default (value) | Sets the default value for the elem button, this may be a function or a string

## Functions

ElemButton.new_elem_button ([name])
  Creates a new elem button element define

  ### Parameters:

  - name string the optional debug name that can be added (optional)

  ### Returns:

  table the new elem button element define
ElemButton._prototype:set_type (type)
  Sets the type of the elem button, the type is required so this must be called at least once

  ### Parameters:

  - type string the type that this elem button is see factorio api

  ### Returns:

  the element define to allow for chaining
ElemButton._prototype:set_default (value)
  Sets the default value for the elem button, this may be a function or a string

  ### Parameters:

  - value string or function string a will be a static default and a function will be called when drawn to get the default

  ### Returns:

  the element define to allow for chaining

generated by LDoc 1.4.3 Last updated 2019-05-29 22:30:49